function [outmat]=mengenminus(mat1,mat2)

%   mengenminus

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

if size(mat1,2)>size(mat1,1)
    mat1=mat1';
end
if size(mat2,2)>size(mat2,1)
    mat2=mat2';
end

outmat=[];

els1=finddiffel(mat1)';
els2=finddiffel(mat2)';

schnittmenge=mengenund(els1,els2);


outmat=finddiffel(mat1);
for i=1:length(schnittmenge)
    outmat(find(outmat==schnittmenge(i)))=[];
end

return